#
# spec file for package xastir (Version 0.3.6_3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ed gpp libax25 libgpp openmotif openmotif-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libax25 libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openmotif openmotif-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xastir
Copyright:    GPL
Group:        X11/Applications/Hamradio
#Requires:    
Autoreqprov:  on
Version:      0.3.6_3
Release:      132
Summary:      Amateur Station Tracking and Information Reporting
URL:	      http://www.xastir.org/
Source: xastir-0.3.6-3.tar.gz
Source1: xastir-sounds.tgz
Source2: xastir-maps.tgz
Patch:  xastir-0.3.6-3.dif

%description
XASTIR, Stands for, X-windows Amateur Station Tracking and Information Reporting.
It is an APRS(tm) like program that is Open Source and free to use and pass out
to others.

Authors:
--------
    Frank Giannandrea, KC2GJS ex-KC0DGE <fgiannan@earthlink.net>
    Chuck Byam, KG4IJB <cbyam@virginia.edu>

SuSE series: ham

%prep
%setup -T -D -n xastir-0.3.6-3 -b0 -a1 -a2
%patch

%build
cd src
make depend
make

%install
cd src
make install
install -d -m 755 -o root -g root /usr/lib/xastir/sounds
install ../sounds/* -m 644 -o root -g root  /usr/lib/xastir/sounds/
install -d -m 755 -o root -g root /usr/lib/xastir/maps/world
install ../maps/world/* -m 644 -o root -g root  /usr/lib/xastir/maps/world/

%files
%doc README.1ST README.SuSE changes.txt 
/usr/bin/callpass
%dir /usr/lib/xastir
/usr/X11R6/bin/xastir
%config(noreplace) /usr/lib/xastir/config/language-Dutch.sys
%config(noreplace) /usr/lib/xastir/config/language-English.sys
%config(noreplace) /usr/lib/xastir/config/language-French.sys
%config(noreplace) /usr/lib/xastir/config/language-German.sys
%config(noreplace) /usr/lib/xastir/config/language-Spanish.sys
%config(noreplace) /usr/lib/xastir/config/tnc-startup.sys
%config(noreplace) /usr/lib/xastir/config/tnc-stop.sys
%config(noreplace) /usr/lib/xastir/config/xastir.rgb
/usr/lib/xastir/help/help-Dutch.dat
/usr/lib/xastir/help/help-English.dat
/usr/lib/xastir/help/help-French.dat
/usr/lib/xastir/help/help-German.dat
/usr/lib/xastir/help/help-Spanish.dat
/usr/lib/xastir/maps/world/World_Countries.map
/usr/lib/xastir/maps/world/WORLDHI.MAP
/usr/lib/xastir/maps/world/WORLDLOW.MAP
/usr/lib/xastir/maps/world/WORLDMED.MAP
/usr/lib/xastir/sounds/newbulletin.wav
/usr/lib/xastir/sounds/newmessage.wav
/usr/lib/xastir/sounds/newstation.wav
/usr/lib/xastir/sounds/proxwarn.wav
/usr/lib/xastir/symbols/symbols.dat

%changelog -n xastir
* Mon Jan 15 2001 - ka@suse.de
- update to version 0.3.6-3 (fixes bug in messages_gui.c)
- patched install.sh to install callpass into /usr/bin/
- repackaged xastir-sounds.tgz and xastir-maps.tgz and changed
  %%setup to unpack into parent directory
- added Chuck Byam as author/maintainer
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Tue Nov 21 2000 - ro@suse.de
- use openmotif
* Wed Sep 20 2000 - ka@suse.de
- update to version 0.3.6
* Mon Jun 19 2000 - ro@suse.de
- added ed to neededforbuild
* Sat Jun 17 2000 - ka@suse.de
- update to version 0.3.3
* Tue Jun 06 2000 - ka@suse.de
- update to version 0.3.2
- added/fixed several spec file entries (Copyright, Group, URL,
  %%description, Authors)
* Mon Apr 17 2000 - ka@suse.de
- fixed path in config.h (/usr/local -> /usr/lib)
- updated to version 0.3.1
* Thu Mar 30 2000 - ka@suse.de
- update to version 0.3.0
* Thu Mar 16 2000 - ka@suse.de
- update to version 0.2.9
- added world maps
- version fixes bug with "," instead of "." when saving lat/long values
* Thu Dec 30 1999 - ka@suse.de
- initial release 0.1.3
- added german help and config files
- added sound files for various audio alarms
- known but still not solved bug: saving lat/long values
  leaves comma instead of dot as separator
